Package org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

# Class FallbackMethodInterfaceBeanB

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodInterfaceBeanB

All Implemented Interfaces:
  `FallbackMethodInterfaceBeanC`

Direct Known Subclasses:
  `FallbackMethodInterfaceBeanA`

public abstract class FallbackMethodInterfaceBeanB extends Object implements FallbackMethodInterfaceBeanC

## Constructor Summary

Constructors
Constructor
Description
`FallbackMethodInterfaceBeanB()`

## Method Summary

Modifier and Type
Method
Description
`String`
`method(int a, Long b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodInterfaceBeanC

`fallback`

## Constructor Details

### FallbackMethodInterfaceBeanB

public FallbackMethodInterfaceBeanB()

## Method Details

### method

@Fallback(fallbackMethod="fallback") public String method(int a, Long b)